import fetchAPI from '../utils/fetch'

export default {
  getRoomList (params) {
    return fetchAPI('booking/room/', 'get', null, params)
  },
  getRoom (id) {
    return fetchAPI(`booking/room/${id}/`, 'get')
  },
  updateRoom (id, room) {
    return fetchAPI(`booking/room/${id}/`, 'put', room)
  },
  getSeatList (params) {
    return fetchAPI('booking/seat/', 'get', null, params)
  },
  createSeat (seat) {
    return fetchAPI('booking/seat/', 'post', seat)
  },
  deleteSeat (id) {
    return fetchAPI(`booking/seat/${id}`, 'delete')
  }
}